/**
 * HomeAddressUse2.java
 *
 * File generated from the medication2::HomeAddressUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration HomeAddressUse2.
 *
 * 
 */

@XmlType(name = "HomeAddressUse")
@XmlEnum
@XmlRootElement(name = "HomeAddressUse2")
public enum HomeAddressUse2 {
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("HP")
	HP("HP"),
	@XmlEnumValue("HV")
	HV("HV");
	
	private final String value;

    HomeAddressUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static HomeAddressUse2 fromValue(String v) {
        for (HomeAddressUse2 c: HomeAddressUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
